[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFileDialog.Filter

A string which contains available filename filters used to select files by their file extensions.

## Declaration

Source position: dialogs.pp line 176

`published property TFileDialog.Filter : string read FFilter write SetFilter;`

## Description

This is a string which contains the filters a user can choose from. The filters contain descriptive text for the filters and their file masks. The component values in the filter are separated by the Pipe (|) symbol.

A value can be assigned to the property using notation like:

    'All files|*.*|Lazarus Project files|*.lpr'

A filter can contain multiple file masks separated by the Semicolon (;) character, like:

    'Pascal units|*.pas;*.pp;*.p|All files|*.*'